/* ===== WG Player 2026 PRO ====================== */
/* ===== WG AUDIO MOUSE FX Vr7.00 - 02/04/26 ===== */
/* ===== Copyright 2026 by Wolf Carls D´ ========= */
/* ===== ( PROIBIDO COPIAR ! )  ================== */
/* ===== INSTRUÇÕES 
class="wg-audio-mouse-plays"
class="wg-audio-mouse-playnotas"
class="wg-audio-mouse-personalizado"

Se quiser controle fino por elemento:
data-size → tamanho das notas
data-repeat → quantidade por frame

<div class="wg-audio-mouse-plays" data-size="30" data-repeat="4">

*/

/* ELEMENTOS */
.wg-audio-mouse-personalizado {
  display: inline-block;
  position: relative;
  cursor: none;
}

/* CURSOR */
.wg-audio-cursor {
  position: fixed;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #ffd700;
  pointer-events: none;
  z-index: 999999;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: opacity 0.2s ease;
}

/* PARTICULAS */
.wg-audio-particle-note {
  position: fixed;
  pointer-events: none;
  font-weight: bold;
  will-change: transform, opacity;
  mix-blend-mode: screen;
  opacity: 0.9;

  text-shadow:
    0 0 6px rgba(255,215,0,0.6),
    0 0 12px rgba(255,140,0,0.4);
}

